org.apache.solr.request

## Class SimpleFacets.CountPair<K extends Comparable<? super K>,V extends Comparable<? super V>>

- java.lang.Object
- - org.apache.solr.request.SimpleFacets.CountPair<K,V>

- All Implemented Interfaces:
    Comparable<SimpleFacets.CountPair<K,V>>
  Enclosing class:
    SimpleFacets

      public static class SimpleFacets.CountPair<K extends Comparable<? super K>,V extends Comparable<? super V>>
      extends Object
      implements Comparable<SimpleFacets.CountPair<K,V>>

  A simple key=>val pair whose natural order is such that higher vals come before lower vals. In case of tie vals, then lower keys come before higher keys.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `K` | `key`
    `V` | `val`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountPair(K k, V v)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(SimpleFacets.CountPair<K,V> o)`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          public K extends Comparable<? super K> key

    - #### val

          public V extends Comparable<? super V> val

  - ### Constructor Detail

    - #### CountPair

          public CountPair(K k,
                           V v)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(SimpleFacets.CountPair<K,V> o)

      Specified by:
        `compareTo` in interface `Comparable<SimpleFacets.CountPair<K extends Comparable<? super K>,V extends Comparable<? super V>>>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.